///////////////////////////////////////////////////////////////////////////////////////////
// MAT 259 Assignment 4: Bird Migration Patterns Visualization
// Drawing Helpers
// by Nataly Moreno
//
// Links to download libraries:
//     ControlP5: http://www.sojamo.de/libraries/controlP5/#installation
//
///////////////////////////////////////////////////////////////////////////////////////////

/*
color dataCells[]       = {color(180, 155, 255),       //scheme 0
                           color(180, 150, 255, 100),  //scheme 1
                           color(255, 150, 50),        //scheme 2
                           color(255, 150, 50),
                           color(170, 20, 50),
                           color(178, 255, 102),
                           color(50, 121, 162),
                           color(8, 139, 225)
                          };
*/
                     
int colorMode[]         = {HSB, HSB, HSB, HSB, HSB, HSB};

/*color dataCells[]       = {color(242, 159, 128),       //scheme 0
                           color(242, 235, 140, 100),  //scheme 1
                           color(191, 143, 156),        //scheme 2
                           color(56, 139, 141),
                           color(99, 140, 102),
                           color(140, 65, 59),
                           color(50, 121, 162),
                           color(8, 139, 225)
                          };

*/

void cellColor(int birdIndex, float dataVal)
{
  if(dataVal != 0.0)
  {
    colorMode(colorMode[birdIndex]);
    float td = dataVal * 10.0;        
    float slope = 1.0 * (99.0 - 0.0) / ( (maxBirdCount * 10.0) - (minBirdCount * 10.0));
    int output = int(round(0.0 + slope * (td - (minBirdCount * 10))));
    fill(colorsArr.get(birdIndex)[output]);
  }
  else
    fill(0);
    //fill(0, 0, 0, 200);
}
                          
void colorBarFill(int i, int j)
{
  int barDiv = 100;
  colorMode(colorMode[i]);
  fill(colorsArr.get(i)[j]);
}
